#!/bin/sh
CURR_PATH=$(cd "$(dirname "$0")";pwd)
if [ $# -ne 3 ];
then
    echo 'Please specify three parameters:ip port license,for example:sh start.sh <ip> <port> <license>'
    exit
fi
myvar=`ps -ef | grep apds-agent | grep transport.endpoint | cut -c 9-15`
for each in $myvar
  do
    kill -9 $each
  done

if command -v /sbin/getcap > /dev/null 2>&1; then
    msg=`sudo /sbin/getcap ${CURR_PATH}/apds-agent`
    if [ -n "${msg}" ]; then
        sudo /sbin/setcap -r ${CURR_PATH}/apds-agent > /dev/null 2>&1
    fi
fi

name=`whoami`
if [ "$name" != "root" ]; then
   # set permission
    if command -v /sbin/setcap > /dev/null 2>&1; then
       # echo "use setcap command to set CAP_DAC_READ_SEARCH and CAP_SYS_PTRACE capabilities"
        msg=`sudo /sbin/setcap CAP_DAC_READ_SEARCH,CAP_SYS_PTRACE+ep ${CURR_PATH}/apds-agent`
        if [ $? -ne 0 ]; then
            echo ${msg}
            exit
        fi
    else
        echo "error: setcap command not found, please install it first or use root user to start the apds-agent."
        exit 1
    fi
fi

nohup ${CURR_PATH}/apds-agent --transport.endpoint $1:$2 --license $3 > ${CURR_PATH}/apds-agent.log 2>&1 &
sleep 1
pid=`ps -ef | grep apds-agent | grep -v grep | awk '{print $2}'`
if [ -n "${pid}" ]; then
    echo 'apds-agent is starting...please check the log file apds-agent.log for details'
else
    cat ${CURR_PATH}/apds-agent.log
fi
